1

I have installed the snoopy tool in Kali Linux but when I run the tool from terminal it's giving this error. Can you help me to solve this?

I've also tried pip install libmproxy

     ___  _  _  _____  _____  ____  _  _
/ __)( \( )(  _  )(  _  )(  _ \( \/ )
\__ \ )  (  )(_)(  )(_)(  )___/ \  /
(___/(_)\_)(_____)(_____)(__)   (__)
                        Version: 2.0
Code:    glenn@sensepost.com // @glennzw
Visit:   www.sensepost.com // @sensepost
License: Non-commercial use

Traceback (most recent call last):
  File "/usr/bin/snoopy", line 428, in <module>
    main()
  File "/usr/bin/snoopy", line 353, in main
    plugins = common.get_plugins()
  File "/root/Desktop/snoopy-ng-master/includes/common.py", line 24, in get_plugins
    m = __import__(plug, fromlist="Snoop").Snoop
  File "/root/Desktop/snoopy-ng-master/plugins/mitmproxy.py", line 17, in <module>
    from includes.mitm import *
  File "/root/Desktop/snoopy-ng-master/includes/mitm.py", line 4, in <module>
    from libmproxy import proxy, flow, platform
ImportError: No module named libmproxy
-1

Missing libmproxy, errors are pretty verbose. I've run into similar with other hacking tools, so here's my debugging steps.

Try searching and installing via a package manager

apt-cache policy libmproxy
sudo apt-get install libmproxy

Then try rerunning, rinse & repeat till errors (or dander) is gone.

  • 2
    There's no deb package by that name. It wouldn't respect the naming conventions: it should be python-libmproxy or rather python-mitmproxy but Kali doesn't appear to ship this package. – Gilles 'SO- stop being evil' Apr 16 '17 at 21:03

Not the answer you're looking for? Browse other questions tagged or ask your own question.